/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-rpixhovkur] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-rpixhovkur] {
    flex: 1;
}

.sidebar[b-rpixhovkur] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-rpixhovkur] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-rpixhovkur]  a, .top-row[b-rpixhovkur]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-rpixhovkur]  a:hover, .top-row[b-rpixhovkur]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-rpixhovkur]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-rpixhovkur] {
        justify-content: space-between;
    }

    .top-row[b-rpixhovkur]  a, .top-row[b-rpixhovkur]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-rpixhovkur] {
        flex-direction: row;
    }

    .sidebar[b-rpixhovkur] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-rpixhovkur] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-rpixhovkur]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-rpixhovkur], article[b-rpixhovkur] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-ownpkw250p] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-ownpkw250p] {
    min-height: 3.5rem;
    background-color: var(--ses-blue-dark);
}

.navbar-brand[b-ownpkw250p] {
    font-size: 1.1rem;
}

.navbar-brand .brand-logo[b-ownpkw250p] {
    height: 28px;
    width: auto;
}

.bi[b-ownpkw250p] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.bi-calendar-check-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-calendar-check' viewBox='0 0 16 16'%3E%3Cpath d='M10.854 7.146a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 1 1 .708-.708L7.5 9.793l2.646-2.647a.5.5 0 0 1 .708 0z'/%3E%3Cpath d='M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5zM1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4H1z'/%3E%3C/svg%3E");
}

.bi-people-fill-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-people-fill' viewBox='0 0 16 16'%3E%3Cpath d='M7 14s-1 0-1-1 1-4 5-4 5 3 5 4-1 1-1 1H7zm4-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm-5.784 6A2.238 2.238 0 0 1 5 13c0-1.355.68-2.75 1.936-3.72A6.325 6.325 0 0 0 5 9c-4 0-5 3-5 4s1 1 1 1h4.216zM4.5 8a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5z'/%3E%3C/svg%3E");
}

.bi-clock-history-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-clock-history' viewBox='0 0 16 16'%3E%3Cpath d='M8.515 1.019A7 7 0 0 0 8 1V0a8 8 0 0 1 .589.022l-.074.997zm2.004.45a7.003 7.003 0 0 0-.985-.299l.219-.976c.383.086.76.2 1.126.342l-.36.933zm1.37.71a7.01 7.01 0 0 0-.439-.24l.585-.811c.19.137.373.282.55.433l-.696.719zm-10.83 2.54a.5.5 0 0 0-.07-.704l-.707.707a.5.5 0 0 0 .707.707l.07-.703zM8 1a7 7 0 1 0 8 0h-1a7 7 0 0 1-7 7V1z'/%3E%3Cpath d='M8.5 4.466V0h-1v4.466l2.354 2.353.707-.707L8.5 4.466z'/%3E%3C/svg%3E");
}

.bi-person-fill-gear-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-fill-gear' viewBox='0 0 16 16'%3E%3Cpath d='M11 5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Zm-9 8c0 1 1 1 1 1h5.256A4.493 4.493 0 0 1 8 12.5a4.49 4.49 0 0 1 5.99-4.227C13.456 7.71 12.592 7 11 7H5c-4 0-5 3-5 4s1 1 1 1h1.256Zm9.562-1.07c.52.081 1.02.551 1.02 1.07 0 .519-.5 1.027-1.02 1.07-.489.041-.897.444-1.006.912-.109.47.162.995.564 1.3l.14.108c.38.293.45.826.155 1.185-.3.359-.844.438-1.218.172l-.173-.123c-.392-.277-.917-.27-1.144-.044l-.261.26a1.288 1.288 0 0 0-.155 1.185l.121.044c.45.164.7.665.56 1.121-.141.456-.634.72-1.092.614l-.033-.007c-.52-.081-1.02-.551-1.02-1.07 0-.519.5-1.027 1.02-1.07.489-.041.897-.444 1.006-.912.109-.47.162-.995.564-1.3l.14-.108a.86.86 0 0 1-.155-1.185c.3-.359.844-.438 1.218-.172l.173.123c.412.294.954.23 1.287-.144l.261-.26a1.288 1.288 0 0 0 .155-1.185l-.121-.044c-.45-.164-.7-.665-.56-1.121-.141-.456-.634-.72-1.092-.614l.033.007c.52.081 1.02.551 1.02 1.07 0 .519-.5 1.027-1.02 1.07Z'/%3E%3C/svg%3E");
}

.bi-gear-fill-nav-menu[b-ownpkw250p] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-gear-fill' viewBox='0 0 16 16'%3E%3Cpath d='M9.405 1.05c-.413-1.4-2.397-1.4-2.81 0l-.1.34a1.464 1.464 0 0 1-2.105.872l-.31-.17c-1.283-.698-2.686.705-1.987 1.987l.169.311c.446.82.023 1.841-.872 2.105l-.34.1c-1.4.413-1.4 2.397 0 2.81l.34.1a1.464 1.464 0 0 1 .872 2.105l-.17.31c-.698 1.283.705 2.686 1.987 1.987l.311-.169a1.464 1.464 0 0 1 2.105.872l.1.34c.413 1.4 2.397 1.4 2.81 0l.1-.34a1.464 1.464 0 0 1 2.105-.872l.31.17c1.283.698 2.686-.705 1.987-1.987l-.169-.311a1.464 1.464 0 0 1 .872-2.105l.34-.1c1.4-.413 1.4-2.397 0-2.81l-.34-.1a1.464 1.464 0 0 1-.872-2.105l.17-.31c.698-1.283-.705-2.686-1.987-1.987l-.311.169a1.464 1.464 0 0 1-2.105-.872l-.1-.34zM8 10.93a2.929 2.929 0 1 1 0-5.86 2.929 2.929 0 0 1 0 5.858z'/%3E%3C/svg%3E");
}

.nav-item[b-ownpkw250p] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-ownpkw250p] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-ownpkw250p] {
        padding-bottom: 1rem;
    }

    .nav-item[b-ownpkw250p]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-ownpkw250p]  a.active {
    background-color: var(--ses-orange);
    color: white;
}

.nav-item[b-ownpkw250p]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-ownpkw250p] {
    background-color: var(--ses-blue);
}

@media (min-width: 641px) {
    .navbar-toggler[b-ownpkw250p] {
        display: none;
    }

    .collapse[b-ownpkw250p] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .nav-scrollable[b-ownpkw250p] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
